#     <Helpbuttons, collaborative network-making software>
#     Copyright (C) 2013-2121  Helpbuttons
#
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 3 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License along
#     with this program; if not, write to the Free Software Foundation, Inc.,
#     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Be sure to restart your server when you modify this file.

# Your secret key is used for verifying the integrity of signed cookies.
# If you change this key, all old signed cookies will become invalid!

# Make sure the secret is at least 30 characters and all random,
# no regular words or you'll be exposed to dictionary attacks.
# You can use `rails secret` to generate a secure secret key.

# Make sure the secrets in this file are kept private
# if you're sharing your code publicly.

development:
  secret_key_base: 9ab4374cb78208c5ff822ad1e3b7f0767c985bab1bad2407ca8725a81db9bc081f2b733b17b670457877bc72ab930fd0f72ed3d02ea5e5e381b1d95173708efa
  redis_url: redis://h:p7ec5918ef71fab0e04c7ee8602fd2e8fb769bc16ee70b4e5110347a82876d08a@ec2-3-220-34-185.compute-1.amazonaws.com:27029
  redirect_host: http://localhost:4200
  aws_bucket: help-buttons-staging
  aws_access_key_id: AKIA6IHHGISBPFUM43OJ
  aws_secret_access_key: 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
  aws_s3_region: eu-west-3
  google_key: AIzaSyAmLsgbCkKFf-vuMcV0oy5MlNzUtT1V8qM
  google_secret: K6dhKBZrr3nijfFM8U6WwNCm

staging:
  secret_key_base: 9ab4374cb78208c5ff822ad1e3b7f0767c985bab1bad2407ca8725a81db9bc081f2b733b17b670457877bc72ab930fd0f72ed3d02ea5e5e381b1d95173708efa
  redis_url: redis://h:p7ec5918ef71fab0e04c7ee8602fd2e8fb769bc16ee70b4e5110347a82876d08a@ec2-3-220-34-185.compute-1.amazonaws.com:27029
  redirect_host: https://helpbuttons.org
  aws_bucket: help-buttons-staging
  aws_access_key_id: AKIA6IHHGISBPFUM43OJ
  aws_secret_access_key: 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
  aws_s3_region: eu-west-3
  google_key: AIzaSyAmLsgbCkKFf-vuMcV0oy5MlNzUtT1V8qM
  google_secret: K6dhKBZrr3nijfFM8U6WwNCm

test:
  secret_key_base: 9ab4374cb78208c5ff822ad1e3b7f0767c985bab1bad2407ca8725a81db9bc081f2b733b17b670457877bc72ab930fd0f72ed3d02ea5e5e381b1d95173708efa
  redis_url: redis://h:p7ec5918ef71fab0e04c7ee8602fd2e8fb769bc16ee70b4e5110347a82876d08a@ec2-3-220-34-185.compute-1.amazonaws.com:27029

# Do not keep production secrets in the repository,
# instead read values from the environment.
production:
  secret_key_base: <%= ENV["SECRET_KEY_BASE"] %>
  redis_url: <%= ENV['REDIS_URL'] %>
  redirect_host: <%= ENV["REDIRECT_HOST"] %>
  client_id: <%= ENV['GOOGLE_KEY'] %>
  client_secret: <%= ENV['GOOGLE_SECRET'] %>
  # bucket: <%= ENV['S3_BUCKET_NAME'] %>
  # access_key_id: <%= ENV['AWS_ACCESS_KEY_ID'] %>
  # secret_access_key: <%= ENV['AWS_SECRET_ACCESS_KEY'] %>
  # s3_region: <%= ENV['AWS_REGION'] %>
